Author Topic: PUBLIC BETA: Knossos 0.14.3 (combined launcher/installer)  (Read 166212 times)

The_Force and 2 Guests are viewing this topic.

Offline wookieejedi

  • 29
  • Intensify Forward Firepower
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Post it on the Github page via the Issues section.

Nobody follows orders here. You may request, not acting like a pre-nursery school principal who cant control the class

Bryan's comment was actually something valid.

 

Offline Bryan See

  • Has anyone really been far as decided to use even go want to do look more like?
  • 210
  • Trying to redeem.
    • Skype
    • Steam
    • Twitter
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Post it on the Github page via the Issues section.

Nobody follows orders here. You may request, not acting like a pre-nursery school principal who cant control the class

Bryan's comment was actually something valid.

True. I can request. Why not?

 

Offline karajorma

  • King Louie - Jungle VIP
  • Administrator
  • 214
    • Karajorma's Freespace FAQ
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
I'm trying to install Knossos on my Ubuntu laptop but I'm not having much luck.

Quote
Ign:1 http://ppa.launchpad.net/ngld/knossos/ubuntu eoan InRelease             
Hit:2 http://cn.archive.ubuntu.com/ubuntu eoan InRelease
Err:3 http://ppa.launchpad.net/ngld/knossos/ubuntu eoan Release
  404  Not Found [IP: 91.189.95.83 80]
Karajorma's Freespace FAQ. It's almost like asking me yourself.

[ Diaspora ] - [ Seeds Of Rebellion ] - [ Mind Games ]

 

Offline m!m

  • 211
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
I have just released a new version of Knossos 0.14 (RC2). Thanks for ngld for granting me access to the repository for doing this.

This release can be found here: https://github.com/ngld/knossos/releases/tag/v0.14.0-rc.2

The biggest change it contains is a minor bugfix to how versions are handled so now FSO 19.0 final should show up properly for everyone.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Would it be possible to release a build through PPA for us Linux users? I have yet to be successful in my attempts to build Knossos or wxLauncher or FSO. I’m just not good at this sort of thing (yet). I’m basically eking by on what I can find in repositories!

Help a brother out? :)
"Any idiot can face a crisis; it is this day to day living that wears you out." – Anton Chekhov

 

Offline m!m

  • 211
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Unfortunately, I cannot do that since I do not have access to the repositories ngld used for releasing the packages.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Drat. Well, thanks then. I’ll just keep using then Windows version for now.

I make it at least part way through getting the dependencies installed, but the qt5 dependencies always seem to trip me up!
"Any idiot can face a crisis; it is this day to day living that wears you out." – Anton Chekhov

 

Offline m!m

  • 211
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
0.14 RC3 is now available: https://github.com/ngld/knossos/releases/tag/v0.14.0-rc.3

This fixes an issue where retail FS2 could not be launched again.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Does anyone have a more current set of instructions for how to build Knossos in Linux?
"Any idiot can face a crisis; it is this day to day living that wears you out." – Anton Chekhov

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Re Knossos 0.14
hmm, so if I set my engine stability to "RCs" Knossos prefers nightlies over 19 stable, whilst to me it makes more sense that Knossos would prefer the stable builds unless there are more recent RC builds
if you do press "Stable" it does actually select stable builds so that's good.

The global flag options in the option menus are overridden by mods' individual settings. However, the options menu itself says that these settings should override mod settings.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
0.14 RC3 is now available: https://github.com/ngld/knossos/releases/tag/v0.14.0-rc.3

I've installed Knossos via the AUR package fs2-knossos. The new version isn't available that way yet. Could someone bump the version there?
Alternatively, could a -git version (like with fs2_open itself) be made available on AUR?

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
I've created an updated PKGBUILD for 0.14.0 that also installs the HLP logo
to /usr/share/pixmaps, and changed the .desktop file accordingly.
This fixes the launcher breaking with python updates.
Could ngld update the AUR entry, as he's maintainer?
Alternatively, Archlinux users could grab the files here and makepkg them.

 

Offline niffiwan

  • 211
  • Eluder Class
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Thanks for providing a fix. Are you able to submit the changes as a pull request to the knossos github project?

https://github.com/ngld/knossos/tree/develop/releng/arch

(not being familiar with arch I'm presuming that's dir has the files you changed?)
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
No, these files don't go in the project itself, they contain instructions and resources for the Arch Build System
to download, build and install it. They can be used as they are or published in the AUR for wider/easier access,
here: https://aur.archlinux.org/packages/fs2-knossos/ .
The project folder you've linked looks to me like an attempt to script that process.
(I'm assuming these scripts don't work correctly/without effort, because otherwise why wouldn't ngld have used them?)


Since the PKGBUILD is essentially a "recipe" to make knossos, somewhat experienced users of other distros could
probably follow it by hand, if no built release is made.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
I don’t suppose one could make instructions detailed enough for inexperienced Linux Mint users? I’ve tried following the instructions in the Readme and there are too many dependencies I’m running into for whom I cannot find packages. I can build them myself, but I must be doing something wrong because I never make it all the way to the point where I could build Knossos itself.
"Any idiot can face a crisis; it is this day to day living that wears you out." – Anton Chekhov

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
I'm afraid I can't help you with building on Debian etc. Their packaging system seems just stupidly complicated to me.

Can you install the 0.13.3 version from the PPA https://launchpad.net/~ngld/+archive/ubuntu/knossos ?
If so, I could give you the Arch package and you could update manually - I've compared the old packages for the distros
and have a fairly good idea what should go where. Might be able to give a walkthrough.


(As an aside, issues like that with other projects is what made me switch to Arch)

 

Offline SL1

  • 26
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Sorry if this is a stupid question, but how can you make a mod use the MediaVPs if it doesn't already? I need to do that for Into the Depths of Hell. Does Knossos have a mod.ini equivalent I need to edit, or is there some other procedure?

 

Offline Goober5000

  • HLP Loremaster
  • Administrator
  • 214
    • Goober5000 Productions
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Sorry if this is a stupid question, but how can you make a mod use the MediaVPs if it doesn't already? I need to do that for Into the Depths of Hell. Does Knossos have a mod.ini equivalent I need to edit, or is there some other procedure?

It's possible to do this by editing Knossos's configuration files, but you should not do this for ItDoH unless you feel like doing some very extensive debugging.  That mod already has a number of warnings that FSO silently accommodates, and introducing MediaVPs would risk adding additional incompatibilities.  Also, the mod uses retail backgrounds, so you would have to manually create new MVP backgrounds.  Finally, the mod uses several retail-era custom models for which there are no high-poly equivalents, so these would not benefit from the MVPs anyway.

 

Offline SL1

  • 26
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Sorry if this is a stupid question, but how can you make a mod use the MediaVPs if it doesn't already? I need to do that for Into the Depths of Hell. Does Knossos have a mod.ini equivalent I need to edit, or is there some other procedure?

It's possible to do this by editing Knossos's configuration files, but you should not do this for ItDoH unless you feel like doing some very extensive debugging.  That mod already has a number of warnings that FSO silently accommodates, and introducing MediaVPs would risk adding additional incompatibilities.  Also, the mod uses retail backgrounds, so you would have to manually create new MVP backgrounds.  Finally, the mod uses several retail-era custom models for which there are no high-poly equivalents, so these would not benefit from the MVPs anyway.

All right. I didn't know the lack of MediaVPs was intentional. Thanks for letting me know.

 

Offline Goober5000

  • HLP Loremaster
  • Administrator
  • 214
    • Goober5000 Productions
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
You're welcome.  I hope that didn't come across as too harsh.  It would certainly be nice if ItDoH had MVP support, but it would take a lot of work to get there.  Hats off to anyone stalwart enough to slog through it.